Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.helpers
Class BackupDiskHelper

    java.lang.Object
      vut.msa.helpers.Helper
          vut.msa.helpers.BackupDiskHelper

All Implemented Interfaces:
  java.io.Serializable

    public class BackupDiskHelper

extends Helper

Helper pre triedy BackupDisk

See Also:
  Serialized Form

Field Summary

Fields inherited from class vut.msa.helpers.Helper
`factory, log, session`

Constructor Summary
`BackupDiskHelper()`

Method Summary
`void` | `addBackupDisk(BackupDisk disk)` Metoda vytvori zaznam v databaze.
`java.util.List<BackupDisk>` | `getBackupDisksList()` Metoda vrati zoznam diskov, ktore sluzia pre zalohovanie.
`void` | `removeBackupDisk(BackupDisk disk)` Metoda zmaze zaznam z databazy, kde su ulozene disky pre zalohovanie.

Methods inherited from class vut.msa.helpers.Helper
`endTransaction, openSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackupDiskHelper

    public BackupDiskHelper()

Method Detail

### addBackupDisk

    public void addBackupDisk(BackupDisk disk)

  Metoda vytvori zaznam v databaze. Ulozi zaznam o disku, ktory sa pouziva pre zalohovanie. Sluzi na previazanie s klientami.

  Parameters:
    `disk` - novy disk, urceny pre zalohovanie

### removeBackupDisk

    public void removeBackupDisk(BackupDisk disk)

  Metoda zmaze zaznam z databazy, kde su ulozene disky pre zalohovanie.

  Parameters:
    `disk` - disk, ktory ma byt zmazany z databazy

### getBackupDisksList

    public java.util.List<BackupDisk> getBackupDisksList()

  Metoda vrati zoznam diskov, ktore sluzia pre zalohovanie.

  Returns:
    zoznam diskov pre zalohovanie

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD